## ripe-atlas-cousteau 2.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RIPEAtlasCousteau.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RIPEAtlasCousteau.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RIPEAtlasCousteau"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RIPEAtlasCousteau"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## ripe-atlas-cousteau 1.0.7

=== debian/changelog ===
ripe-atlas-cousteau (1.0.7-1) unstable; urgency=low

  * Initial release (Closes: #807934)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 20 Jan 2016 18:27:50 +0200

=== debian/control ===
Source: ripe-atlas-cousteau
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-dateutil,
               python-socketio-client (>= 0.6.5),
               python-requests (>= 2.7.0),
               python-funcsigs,
               python-setuptools,
               python-nose,
               python-coverage,
               python-mock,
               python-jsonschema,
               python3-all,
               python3-dateutil,
               python3-socketio-client (>= 0.6.5),
               python3-requests (>= 2.7.0),
               python3-funcsigs,
               python3-setuptools,
               python3-nose,
               python3-coverage,
               python3-mock,
               python3-jsonschema
Standards-Version: 3.9.6
Homepage: https://github.com/RIPE-NCC/ripe-atlas-cousteau
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ripe-atlas-cousteau.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=python-modules/packages/python-ripe-atlas-cousteau.git;a=summary

Package: python-ripe-atlas-cousteau
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python wrapper around the RIPE Atlas API
 Cousteau is a Python library wrapping the RIPE Atlas HTTP API. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.

Package: python3-ripe-atlas-cousteau
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python3 wrapper around the RIPE Atlas API
 Cousteau is a Python library wrapping the RIPE Atlas HTTP API. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the Python3 library.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ripe-atlas-cousteau

include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

.PHONY: override_dh_clean
override_dh_clean:
	dh_clean
	rm -rf ripe.atlas.cousteau.egg-info

## ripe-atlas-cousteau 1.2

=== debian/changelog ===
ripe-atlas-cousteau (1.2-2) unstable; urgency=medium

  * python3-ripe-atlas-cousteau: use ${python3:Depends} (Closes: #824932)
  * Bump standards to 3.9.8; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 25 May 2016 14:51:01 +0300

ripe-atlas-cousteau (1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: fix Vcs-* fields
  * Bump standards to 3.9.7; no changes needed
  * Use HTTPS for Vcs-Git

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 09 Mar 2016 09:48:41 +0200

## ripe-atlas-cousteau 1.3

=== debian/changelog ===
ripe-atlas-cousteau (1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 16 Dec 2016 15:13:58 +0200

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
                python3-coverage,
                python3-mock,
                python3-jsonschema
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/RIPE-NCC/ripe-atlas-cousteau
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-ripe-atlas-cousteau.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=python-modules/packages/python-ripe-atlas-cousteau.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ripe-atlas-cousteau.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=python-modules/packages/ripe-atlas-cousteau.git;a=summary
 
 Package: python-ripe-atlas-cousteau
 Architecture: all
@@ -40,7 +40,7 @@
 
 Package: python3-ripe-atlas-cousteau
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: Python3 wrapper around the RIPE Atlas API
  Cousteau is a Python library wrapping the RIPE Atlas HTTP API. RIPE Atlas is a
  global network of probes that measure Internet connectivity and reachability,

=== debian/watch ===
version=3

https://github.com/RIPE-NCC/ripe-atlas-cousteau/releases .*/v(.*).tar.gz

## ripe-atlas-cousteau 1.4.1

=== debian/changelog ===
ripe-atlas-cousteau (1.4.1-0.1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * Non-maintainer upload.
  * New upstream version (2018-03-22)
  * Declare compliance with Debian policy 4.1.3
    No change needed
  * Switch to debhelper compat level 11

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 22 Mar 2018 19:26:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-dateutil,
@@ -25,10 +25,10 @@
                python3-coverage,
                python3-mock,
                python3-jsonschema
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/RIPE-NCC/ripe-atlas-cousteau
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ripe-atlas-cousteau.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=python-modules/packages/ripe-atlas-cousteau.git;a=summary
+Vcs-Git: https://salsa.debian.org/python-team/modules/ripe-atlas-cousteau.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/ripe-atlas-cousteau
 
 Package: python-ripe-atlas-cousteau
 Architecture: all

## ripe-atlas-cousteau 1.4.2

=== debian/changelog ===
ripe-atlas-cousteau (1.4.2-3) unstable; urgency=medium

  * Team upload.
  * Drop unneeded build-dependency on python3-funcsigs
  * Set correct module name for autopkgtest-pkg-python and enable it

 -- Gordon Ball <gordon@chronitis.net>  Fri, 08 May 2020 08:05:56 +0000

ripe-atlas-cousteau (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 16:25:22 +0200

ripe-atlas-cousteau (1.4.2-1) unstable; urgency=medium

  * Acknowledge NMU by Nicolas Braud-Santoni
  * New upstream version
  * Bump Standards-Version to 4.1.5; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 18 Jul 2018 11:52:55 +0300

=== debian/control ===
Source: ripe-atlas-cousteau
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-socketio-client (>= 0.6.5),
               python3-requests (>= 2.7.0),
               python3-setuptools,
               python3-nose,
               python3-coverage,
               python3-mock,
               python3-jsonschema
Standards-Version: 4.1.5
Homepage: https://github.com/RIPE-NCC/ripe-atlas-cousteau
Vcs-Git: https://salsa.debian.org/python-team/modules/ripe-atlas-cousteau.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/ripe-atlas-cousteau
Testsuite: autopkgtest-pkg-python

Package: python3-ripe-atlas-cousteau
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python3 wrapper around the RIPE Atlas API
 Cousteau is a Python library wrapping the RIPE Atlas HTTP API. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the Python3 library.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with=python2,python3 --buildsystem=pybuild
+	dh $@ --with=python3 --buildsystem=pybuild
 
 .PHONY: override_dh_clean
 override_dh_clean:

## ripe-atlas-cousteau 2.0.0

=== debian/changelog ===
ripe-atlas-cousteau (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1058095
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: s/python3-nose/python3-pytest/
    Closes: #1018613
  * Build-Depends: python3-typing-extensions

 -- Andreas Tille <tille@debian.org>  Sun, 14 Jan 2024 20:40:32 +0100

ripe-atlas-cousteau (1.4.2-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 18:21:55 +0000

ripe-atlas-cousteau (1.4.2-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-requests and
      python3-socketio-client.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:40:15 +0000

ripe-atlas-cousteau (1.4.2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Contact.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 20:00:44 -0400

=== debian/control ===
Source: ripe-atlas-cousteau
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-socketio-client,
               python3-requests,
               python3-setuptools,
               python3-pytest,
               python3-coverage,
               python3-jsonschema,
               python3-typing-extensions
Standards-Version: 4.6.2
Homepage: https://github.com/RIPE-NCC/ripe-atlas-cousteau
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/ripe-atlas-cousteau.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ripe-atlas-cousteau
Testsuite: autopkgtest-pkg-python

Package: python3-ripe-atlas-cousteau
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python3 wrapper around the RIPE Atlas API
 Cousteau is a Python library wrapping the RIPE Atlas HTTP API. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the Python3 library.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/RIPE-NCC/ripe-atlas-cousteau/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ripe-atlas-cousteau 2.2.0

=== debian/changelog ===
ripe-atlas-cousteau (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * Rewrite d/watch in v5 format
  * New upstream version 2.2.0
  * Disable useless Salsa CI jobs
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 03 Jan 2026 01:47:56 +0100

=== debian/control ===
Source: ripe-atlas-cousteau
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coverage,
 python3-dateutil,
 python3-jsonschema,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-socketio-client,
 python3-typing-extensions,
Standards-Version: 4.7.3
Homepage: https://github.com/RIPE-NCC/ripe-atlas-cousteau
Vcs-Git: https://salsa.debian.org/python-team/packages/ripe-atlas-cousteau.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/ripe-atlas-cousteau
Testsuite: autopkgtest-pkg-pybuild

Package: python3-ripe-atlas-cousteau
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python3 wrapper around the RIPE Atlas API
 Cousteau is a Python library wrapping the RIPE Atlas HTTP API. RIPE Atlas is a
 global network of probes that measure Internet connectivity and reachability,
 providing an overview of the state of the Internet in real time.
 .
 This package contains the Python3 library.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ripe-atlas-cousteau

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: GitHub
Owner: RIPE-NCC
Project: ripe-atlas-cousteau
